# webpack router empty template

> empty project, use vuejs

## Build Setup

``` bash
# install dependencies
npm install / yarn

# serve with hot reload at localhost:8080
npm run dev

# build for production with minification
npm run build

# build for production and view the bundle analyzer report
npm run build --report

# run unit tests
npm run unit

# run e2e tests
npm run e2e

# run all tests
npm test
```

## 目录结构
```
src              源码目录
  --api          Api目录
  --assets       资源目录，存放需要打包资源
  --components   公共组件
  --router       router目录，配置管理
  --styles       css/sass/scss/less目录
  --utils        工具，存放全局或某个工具
  --views        视图
  --App.vue
  --main.js      vue配置入口
```
